Subject: [scim] Why does SCIM specification restrict to update group list of user only from the group endpoint

From: Darshana Gunawardana <[email-masked]>
Date: Tue, 17 Mar 2015 05:26:49 +0000

Hi all,

We have several customer queries to add groups while creating the users
from SCIM user endpoint, without doing a second request to group endpoint.

In the spec its defined as "group membership changes MUST be applied via
the Group Resource" so we have to do two requests to create user with some
groups.

We thought to implement SCIM group endpoint to support to add groups as
well but as mentioned above, specification strongly restricting of doing
that.

I would like to know what are the reasons of restricting all group related
operations only from group endpoint. Or is there any other optimal way to
do this.

Thanks,
Darshana.